• Duncan Macleod's avatar
    use private fields in pkgconfig files · aff26fb1
    Duncan Macleod authored
    - use `Requires.private` and `Libs.private` in pkgconfig files to prevent overlinking in downstream libraries
    - added `pkgconfig` as a `BuildRequires` for RPMs
    - bumped required version of pkg-config to 0.18.0 everywhere I could think of
    aff26fb1
Name
Last commit
Last update
..
debian Loading commit data...
ax_compare_version.m4 Loading commit data...
ax_lib_hdf5.m4 Loading commit data...
ax_pthread.m4 Loading commit data...
generate_user_env.awk Loading commit data...
generate_vcs_info.py Loading commit data...
generate_vcs_info.sh Loading commit data...
git_version.py.git Loading commit data...
install-sh Loading commit data...
lalsuite_build.m4 Loading commit data...
lalsuite_cuda.am Loading commit data...
lalsuite_gccflags.m4 Loading commit data...
lalsuite_header_links.am Loading commit data...
lalsuite_help2man.am Loading commit data...
lalsuite_index.html.in Loading commit data...
lalsuite_library_top.am Loading commit data...
lalsuite_python.am Loading commit data...
lalsuite_run_uninstalled Loading commit data...
lalsuite_swig.am Loading commit data...
lalsuite_swig.m4 Loading commit data...
lalsuite_test.am Loading commit data...
lalsuite_top.am Loading commit data...
lalsuite_vcs_info.am Loading commit data...
missing Loading commit data...
pkg.m4 Loading commit data...
six.h Loading commit data...
xlalify_function_calls Loading commit data...